Get Countries

Retrieve the list of all available countries and their country codes.

GET https://api2.sms4sats.com/getCountries

Returns an array of available countries with their corresponding country codes. Use the id field as the country parameter in other endpoints.

The API also accepts country names as strings (e.g. country="germany") in most endpoints. Use this endpoint when you need to look up exact numeric country codes.

No Parameters Required

[
    {
        "id": 0,
        "rus": "Россия",
        "eng": "Russia",
        "chn": "俄罗斯",
        "visible": 0,
        "retry": 1,
        "rent": 0,
        "multiService": 0
    },
    ...
]

Response Fields

Field
Type
Description

id

Number

Country code to use in API requests

eng

String

Country name in English

rus

String

Country name in Russian

chn

String

Country name in Chinese

visible

Number

Whether the country is shown in the UI

retry

Number

Whether retry is available

rent

Number

Whether rental numbers are available

multiService

Number

Whether multi-service is supported

Last updated